Index: /trunk/language/da_DK/admin.lang.php
===================================================================
--- /trunk/language/da_DK/admin.lang.php	(revision 25568)
+++ /trunk/language/da_DK/admin.lang.php	(revision 25569)
@@ -963,5 +963,5 @@
 $lang['Last visit on %s, %s.'] = 'Seneste besøg kl. %s den %s.';
 $lang['Loading...'] = 'Indlæser ...';
-$lang['No matching users found'] = 'Ingen brugere fundet som opfylder kriteriet';
+$lang['No matching user found'] = 'Ingen brugere fundet som opfylder kriteriet';
 $lang['No user selected of %d users'] = 'Ingen bruger valgt ud af %d brugere';
 $lang['No user selected, no action possible.'] = 'Ingen bruger valgt, ingen handling er mulig.';
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 25568)
+++ /trunk/language/en_UK/admin.lang.php	(revision 25569)
@@ -955,5 +955,5 @@
 $lang['Loading...'] = 'Loading...';
 $lang['Show %s users'] = 'Show %s users';
-$lang['No matching users found'] = 'No matching users found';
+$lang['No matching user found'] = 'No matching user found';
 $lang['Showing %s to %s of %s users'] = 'Showing %s to %s of %s users';
 $lang['(filtered from %s total users)'] = '(filtered from %s total users)';
Index: /trunk/language/eo_EO/admin.lang.php
===================================================================
--- /trunk/language/eo_EO/admin.lang.php	(revision 25568)
+++ /trunk/language/eo_EO/admin.lang.php	(revision 25569)
@@ -936,5 +936,5 @@
 $lang['Change username'] = 'Ŝanĝi salutnomon';
 $lang['Loading...'] = 'Ŝutante...';
-$lang['No matching users found'] = 'Neniu kongruanta uzanto troviĝis';
+$lang['No matching user found'] = 'Neniu kongruanta uzanto troviĝis';
 $lang['No user selected of %d users'] = 'Neniu uzanto selektita el %d uzantoj';
 $lang['No user selected, no action possible.'] = 'Sen uzanto selektita, neniu ago eblas.';
Index: /trunk/language/es_ES/admin.lang.php
===================================================================
--- /trunk/language/es_ES/admin.lang.php	(revision 25568)
+++ /trunk/language/es_ES/admin.lang.php	(revision 25569)
@@ -959,5 +959,5 @@
 $lang['Last visit on %s, %s.'] = 'Ultima visita el %s, %s';
 $lang['Loading...'] = 'Cargando...';
-$lang['No matching users found'] = 'Ningún miembro coincidentes encontrados';
+$lang['No matching user found'] = 'Ningún miembro coincidentes encontrados';
 $lang['No user selected of %d users'] = 'Ninguno de los %d usuarios seleccionados';
 $lang['No user selected, no action possible.'] = 'Ningún usuario seleccionado, ninguna acción posible. ';
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 25568)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 25569)
@@ -957,5 +957,5 @@
 $lang['Loading...'] = 'Chargement...';
 $lang['Show %s users'] = 'Afficher %s utilisateurs';
-$lang['No matching users found'] = 'Aucun utilisateur à afficher';
+$lang['No matching user found'] = 'Aucun utilisateur à afficher';
 $lang['Showing %s to %s of %s users'] = 'Affichage des utilisateurs %s à %s sur %s';
 $lang['(filtered from %s total users)'] = '(filtré de %s utilisateurs au total)';
Index: /trunk/language/it_IT/admin.lang.php
===================================================================
--- /trunk/language/it_IT/admin.lang.php	(revision 25568)
+++ /trunk/language/it_IT/admin.lang.php	(revision 25569)
@@ -965,5 +965,5 @@
 $lang['Password updated'] = 'Password aggiornata';
 $lang['No user selected, no action possible.'] = 'Nessun utente selezionato, nessuna azione è possibile.';
-$lang['No matching users found'] = 'Nessun utente corrispondente trovato';
+$lang['No matching user found'] = 'Nessun utente corrispondente trovato';
 $lang['Loading...'] = 'Caricamento...';
 $lang['Last visit on %s, %s.'] = 'Ultima visita su %s, %s.';
Index: /trunk/language/lt_LT/admin.lang.php
===================================================================
--- /trunk/language/lt_LT/admin.lang.php	(revision 25568)
+++ /trunk/language/lt_LT/admin.lang.php	(revision 25569)
@@ -959,5 +959,5 @@
 $lang['Change username'] = 'Keisti username';
 $lang['Loading...'] = 'Kraunasi...';
-$lang['No matching users found'] = 'Narių, atitinkančių kriterijus, nerasta';
+$lang['No matching user found'] = 'Narių, atitinkančių kriterijus, nerasta';
 $lang['No user selected of %d users'] = 'Nepasirinktas nė vienas iš %d narių';
 $lang['No user selected, no action possible.'] = 'Nepasirinktas narys, negaliu tęsti veiksmų.';
Index: /trunk/language/lv_LV/admin.lang.php
===================================================================
--- /trunk/language/lv_LV/admin.lang.php	(revision 25568)
+++ /trunk/language/lv_LV/admin.lang.php	(revision 25569)
@@ -957,5 +957,5 @@
 $lang['No user selected, no action possible.'] = 'Neviens lietotāja nav atlasīts, darbība nav iespējama.';
 $lang['No user selected of %d users'] = 'Neviens no %d lietotājiem nav atlasīts';
-$lang['No matching users found'] = 'Nav atrasti atbilstoši lietotāji';
+$lang['No matching user found'] = 'Nav atrasti atbilstoši lietotāji';
 $lang['Users modified'] = 'Lietotāji modoficēti';
 $lang['User %s added'] = '%s lietotājs pievienots';
Index: /trunk/language/nl_NL/admin.lang.php
===================================================================
--- /trunk/language/nl_NL/admin.lang.php	(revision 25568)
+++ /trunk/language/nl_NL/admin.lang.php	(revision 25569)
@@ -962,5 +962,5 @@
 $lang['Showing %s to %s of %s users'] = 'Geef %s weer aan %s van de %s gebruikers';
 $lang['Update user'] = 'Werk de gebruiker bij';
-$lang['No matching users found'] = 'Geen overeenkomende gebruikers gevonden';
+$lang['No matching user found'] = 'Geen overeenkomende gebruikers gevonden';
 $lang['No user selected of %d users'] = 'Geen gebruiker geselecteerd van de %d gebruikers';
 $lang['No user selected, no action possible.'] = 'Geen gebruiker geselecteerd, geen actie mogelijk';
Index: /trunk/language/nn_NO/admin.lang.php
===================================================================
--- /trunk/language/nn_NO/admin.lang.php	(revision 25568)
+++ /trunk/language/nn_NO/admin.lang.php	(revision 25569)
@@ -958,5 +958,5 @@
 $lang['Last visit on %s, %s.'] = 'Sist vitja %s, %s.';
 $lang['Loading...'] = 'Lastar...';
-$lang['No matching users found'] = 'Ingen brukarar vart funne';
+$lang['No matching user found'] = 'Ingen brukarar vart funne';
 $lang['Password updated'] = 'Passordet er endra';
 $lang['Show %s users'] = 'Vis %s brukarar';
Index: /trunk/language/pt_PT/admin.lang.php
===================================================================
--- /trunk/language/pt_PT/admin.lang.php	(revision 25568)
+++ /trunk/language/pt_PT/admin.lang.php	(revision 25569)
@@ -959,5 +959,5 @@
 $lang['Last visit on %s, %s.'] = 'Última visita em  %s, %s.';
 $lang['Loading...'] = 'Carregando';
-$lang['No matching users found'] = 'Não foram encontrados utilizadores que correspondam';
+$lang['No matching user found'] = 'Não foram encontrados utilizadores que correspondam';
 $lang['No user selected of %d users'] = 'Em %d utilizadores não foi nenhum selecionado';
 $lang['No user selected, no action possible.'] = 'Sem utilizador selecionado não é possivel qualquer ação';
Index: /trunk/language/ru_RU/admin.lang.php
===================================================================
--- /trunk/language/ru_RU/admin.lang.php	(revision 25568)
+++ /trunk/language/ru_RU/admin.lang.php	(revision 25569)
@@ -957,5 +957,5 @@
 $lang['(filtered from %s total users)'] = '(отобрано из %s - общее число пользователей)';
 $lang['All %d users are selected'] = '%d - все пользователи выбраны';
-$lang['No matching users found'] = 'Соответствующих пользователей не найдено';
+$lang['No matching user found'] = 'Соответствующих пользователей не найдено';
 $lang['No user selected of %d users'] = 'Не выбраны из %d пользователей';
 $lang['No user selected, no action possible.'] = 'Пользователи не выбраны; действие невозможно.';
Index: /trunk/language/sk_SK/admin.lang.php
===================================================================
--- /trunk/language/sk_SK/admin.lang.php	(revision 25568)
+++ /trunk/language/sk_SK/admin.lang.php	(revision 25569)
@@ -966,5 +966,5 @@
 $lang['No user selected, no action possible.'] = 'Žiaden používateľ označený, žiadna akcia možná.';
 $lang['No user selected of %d users'] = 'Žiaden používateľ z %d používateľov označený';
-$lang['No matching users found'] = 'Nenájdený požívateľ';
+$lang['No matching user found'] = 'Nenájdený požívateľ';
 $lang['Loading...'] = 'Nahrávam...';
 $lang['Last visit on %s, %s.'] = 'Naposledy videný %s, %s.';
Index: /trunk/language/sl_SI/admin.lang.php
===================================================================
--- /trunk/language/sl_SI/admin.lang.php	(revision 25568)
+++ /trunk/language/sl_SI/admin.lang.php	(revision 25569)
@@ -957,5 +957,5 @@
 $lang['Last visit on %s, %s.'] = 'Zadnji obisk  %s, %s.';
 $lang['Loading...'] = 'Nalaganje...';
-$lang['No matching users found'] = 'Ne najdem ustreznih uporabnikov';
+$lang['No matching user found'] = 'Ne najdem ustreznih uporabnikov';
 $lang['No user selected of %d users'] = 'Izbran ni noben uporabnik od %d uporabnikov';
 $lang['No user selected, no action possible.'] = 'Izbran ni noben uporabnik, nobeno dejanje ni mogoče';
Index: /trunk/language/tr_TR/admin.lang.php
===================================================================
--- /trunk/language/tr_TR/admin.lang.php	(revision 25568)
+++ /trunk/language/tr_TR/admin.lang.php	(revision 25569)
@@ -962,5 +962,5 @@
 $lang['User %s updated'] = '%s kullanıcı güncellendi';
 $lang['Password updated'] = 'Şifre güncellendi';
-$lang['No matching users found'] = 'Uyan hiç bir kullanıcı bulunamadı';
+$lang['No matching user found'] = 'Uyan hiç bir kullanıcı bulunamadı';
 $lang['Loading...'] = 'Yükleniyor...';
 $lang['Change password'] = 'Şifre değiştir';
Index: /trunk/language/uk_UA/admin.lang.php
===================================================================
--- /trunk/language/uk_UA/admin.lang.php	(revision 25568)
+++ /trunk/language/uk_UA/admin.lang.php	(revision 25569)
@@ -958,5 +958,5 @@
 $lang['Last visit on %s, %s.'] = 'Був на сайті %s, %s.';
 $lang['Loading...'] = 'Завантаження...';
-$lang['No matching users found'] = 'Відповідних користувачі не знайдено';
+$lang['No matching user found'] = 'Відповідних користувачі не знайдено';
 $lang['No user selected of %d users'] = 'Не вибраний жоден з %d користувачів ';
 $lang['No user selected, no action possible.'] = 'Жоден користувач не обраний, ніякі дії можливі.';
Index: /trunk/language/vi_VN/admin.lang.php
===================================================================
--- /trunk/language/vi_VN/admin.lang.php	(revision 25568)
+++ /trunk/language/vi_VN/admin.lang.php	(revision 25569)
@@ -959,5 +959,5 @@
 $lang['Last visit on %s, %s.'] = 'Xem lần cuối vào lúc %s, %s.';
 $lang['Loading...'] = 'Đang tải...';
-$lang['No matching users found'] = 'Không tìm thấy người dùng nào phù hợp';
+$lang['No matching user found'] = 'Không tìm thấy người dùng nào phù hợp';
 $lang['No user selected of %d users'] = 'Không có người dùng nào được chọn trong số %d người dùng';
 $lang['No user selected, no action possible.'] = 'Không có người dùng nào được chọn nên không thể làm tiếp';
Index: /trunk/language/zh_TW/admin.lang.php
===================================================================
--- /trunk/language/zh_TW/admin.lang.php	(revision 25568)
+++ /trunk/language/zh_TW/admin.lang.php	(revision 25569)
@@ -957,5 +957,5 @@
 $lang['Last visit on %s, %s.'] = '最後的訪問在%s, %s。';
 $lang['Loading...'] = '加載中...';
-$lang['No matching users found'] = '沒有發現匹配的用戶';
+$lang['No matching user found'] = '沒有發現匹配的用戶';
 $lang['No user selected of %d users'] = '%d個用戶沒有用戶選擇';
 $lang['No user selected, no action possible.'] = '沒有用戶選擇，沒有行動的可能。';