Index: /extensions/AdminTools/include/MultiView.class.php
===================================================================
--- /extensions/AdminTools/include/MultiView.class.php	(revision 25617)
+++ /extensions/AdminTools/include/MultiView.class.php	(revision 25618)
@@ -2,10 +2,18 @@
 defined('ADMINTOOLS_ID') or die('Hacking attempt!');
 
+/**
+ * Class managing multi views system
+ */
 class MultiView
 {
+  /** @var bool $is_admin */
   private $is_admin;
 
+  /** @var array $data */
   private $data = array();
 
+  /**
+   * Constructor, load $data from session
+   */
   function __construct()
   {
@@ -22,5 +30,4 @@
         'template_combine_files' => $conf['template_combine_files'],
         'no_history' => false,
-        'purge_template' => false,
         ),
       pwg_get_session_var('multiview', array())
@@ -28,4 +35,7 @@
   }
 
+  /**
+   * @return bool
+   */
   public function is_admin()
   {
@@ -33,4 +43,7 @@
   }
 
+  /**
+   * @return array
+   */
   public function get_data()
   {
@@ -38,4 +51,7 @@
   }
 
+  /**
+   * Save $data in session
+   */
   private function save()
   {
@@ -43,4 +59,10 @@
   }
 
+  /**
+   * Returns the current url minus MultiView params
+   *
+   * @param bool $with_amp - adds ? or & at the end of the url
+   * @return string
+   */
   public function get_clean_url($with_amp=false)
   {
@@ -66,4 +88,7 @@
   }
 
+  /**
+   * Triggered on "user_init", change current view depending of URL params.
+   */
   public function user_init()
   {
@@ -74,10 +99,4 @@
       global $user, $conf;
 
-      $this->data['view_as'] = $user['id'];
-      $this->data['theme'] = $user['theme'];
-      $this->data['lang'] = $user['language'];
-
-      $refresh = false;
-
       // view_as
       if (isset($_GET['view_as']))
@@ -85,5 +104,5 @@
         $this->data['view_as'] = (int)$_GET['view_as'];
       }
-      if ($this->data['view_as'] != $user['id'])
+      if ($this->data['view_as'] != $user['id'] and $this->data['view_as'] != 0)
       {
         $user = build_user($this->data['view_as'], true);
@@ -97,5 +116,8 @@
         $this->data['theme'] = $_GET['theme'];
       }
-      $user['theme'] = $this->data['theme'];
+      if ($this->data['theme'] != '')
+      {
+        $user['theme'] = $this->data['theme'];
+      }
 
       // lang
@@ -104,5 +126,8 @@
         $this->data['lang'] = $_GET['lang'];
       }
-      $user['language'] = $this->data['lang'];
+      if ($this->data['lang'] != '')
+      {
+        $user['language'] = $this->data['lang'];
+      }
 
       // show_queries
@@ -144,33 +169,18 @@
       }
 
-      // purge_template
-      if (isset($_GET['purge_template']))
-      {
-        $this->data['purge_template'] = true;
-        $refresh = true;
-      }
-
       $this->save();
-
-      if ($refresh)
-      {
-        redirect($this->get_clean_url());
-      }
     }
   }
 
+  /**
+   * Triggered on "init", in order to clean template files (not initialized on "user_init")
+   */
   public function init()
   {
-    // can't know if user is admin, not build yet
-    // so only do non-critical tasks only
-
-    if ($this->data['purge_template'])
+    if (isset($_GET['purge_template']))
     {
       global $template;
       $template->delete_compiled_templates();
       FileCombiner::clear_combined_files();
-
-      $this->data['purge_template'] = false;
-      $this->save();
     }
   }
Index: tensions/AdminTools/template/fontello/css/fontello-puba-embedded.css
===================================================================
--- /extensions/AdminTools/template/fontello/css/fontello-puba-embedded.css	(revision 25617)
+++ 	(revision )
@@ -1,58 +1,0 @@
-@font-face {
-  font-family: 'fontello-puba';
-  src: url('../font/fontello-puba.eot?92894114');
-  src: url('../font/fontello-puba.eot?92894114#iefix') format('embedded-opentype'),
-       url('../font/fontello-puba.svg?92894114#fontello-puba') format('svg');
-  font-weight: normal;
-  font-style: normal;
-}
-@font-face {
-  font-family: 'fontello-puba';
-  src: url('data:application/octet-stream;base64,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') format('woff'),
-       url('data:application/octet-stream;base64,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') format('truetype');
-}
-/* Chrome hack: SVG is rendered more smooth in Windozze. 100% magic, uncomment if you need it. */
-/* Note, that will break hinting! In other OS-es font will be not as sharp as it could be */
-/*
-@media screen and (-webkit-min-device-pixel-ratio:0) {
-  @font-face {
-    font-family: 'fontello-puba';
-    src: url('../font/fontello-puba.svg?92894114#fontello-puba') format('svg');
-  }
-}
-*/
- 
- [class^="icon-puba-"]:before, [class*=" icon-puba-"]:before {
-  font-family: "fontello-puba";
-  font-style: normal;
-  font-weight: normal;
-  speak: none;
- 
-  display: inline-block;
-  text-decoration: inherit;
-  width: 1em;
-  margin-right: .2em;
-  text-align: center;
-  /* opacity: .8; */
- 
-  /* For safety - reset parent styles, that can break glyph codes*/
-  font-variant: normal;
-  text-transform: none;
-     
-  /* fix buttons height, for twitter bootstrap */
-  line-height: 1em;
- 
-  /* Animation center compensation - margins should be symmetric */
-  /* remove if not needed */
-  margin-left: .2em;
- 
-  /* you can be more comfortable with increased icons size */
-  /* font-size: 120%; */
- 
-  /* Uncomment for 3D effect */
-  /* text-shadow: 1px 1px 1px rgba(127, 127, 127, 0.3); */
-}
-.icon-puba-doc-text-inv:before { content: '\e800'; } /* '' */
-.icon-puba-flash:before { content: '\e801'; } /* '' */
-.icon-puba-flag:before { content: '\e802'; } /* '' */
-.icon-puba-trophy:before { content: '\e803'; } /* '' */
Index: tensions/AdminTools/template/fontello/css/fontello-puba-ie7-codes.css
===================================================================
--- /extensions/AdminTools/template/fontello/css/fontello-puba-ie7-codes.css	(revision 25617)
+++ 	(revision )
@@ -1,5 +1,0 @@
-
-.icon-puba-doc-text-inv { *zoom: expression( this.runtimeStyle['zoom'] = '1', this.innerHTML = '&#xe800;&nbsp;'); }
-.icon-puba-flash { *zoom: expression( this.runtimeStyle['zoom'] = '1', this.innerHTML = '&#xe801;&nbsp;'); }
-.icon-puba-flag { *zoom: expression( this.runtimeStyle['zoom'] = '1', this.innerHTML = '&#xe802;&nbsp;'); }
-.icon-puba-trophy { *zoom: expression( this.runtimeStyle['zoom'] = '1', this.innerHTML = '&#xe803;&nbsp;'); }
Index: tensions/AdminTools/template/fontello/css/fontello-puba-ie7.css
===================================================================
--- /extensions/AdminTools/template/fontello/css/fontello-puba-ie7.css	(revision 25617)
+++ 	(revision )
@@ -1,16 +1,0 @@
-[class^="icon-puba-"], [class*=" icon-puba-"] {
-  font-family: 'fontello-puba';
-  font-style: normal;
-  font-weight: normal;
- 
-  /* fix buttons height */
-  line-height: 1em;
- 
-  /* you can be more comfortable with increased icons size */
-  /* font-size: 120%; */
-}
- 
-.icon-puba-doc-text-inv { *zoom: expression( this.runtimeStyle['zoom'] = '1', this.innerHTML = '&#xe800;&nbsp;'); }
-.icon-puba-flash { *zoom: expression( this.runtimeStyle['zoom'] = '1', this.innerHTML = '&#xe801;&nbsp;'); }
-.icon-puba-flag { *zoom: expression( this.runtimeStyle['zoom'] = '1', this.innerHTML = '&#xe802;&nbsp;'); }
-.icon-puba-trophy { *zoom: expression( this.runtimeStyle['zoom'] = '1', this.innerHTML = '&#xe803;&nbsp;'); }