Index: /extensions/AddInfousers/language/pt_BR/description.txt
===================================================================
--- /extensions/AddInfousers/language/pt_BR/description.txt	(revision 25625)
+++ /extensions/AddInfousers/language/pt_BR/description.txt	(revision 25625)
@@ -0,0 +1,1 @@
+Adiciona sete novas informações no perfil de usuários
Index: /extensions/AddInfousers/language/pt_BR/index.php
===================================================================
--- /extensions/AddInfousers/language/pt_BR/index.php	(revision 25625)
+++ /extensions/AddInfousers/language/pt_BR/index.php	(revision 25625)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/AddInfousers/language/pt_BR/plugin.lang.php
===================================================================
--- /extensions/AddInfousers/language/pt_BR/plugin.lang.php	(revision 25625)
+++ /extensions/AddInfousers/language/pt_BR/plugin.lang.php	(revision 25625)
@@ -0,0 +1,52 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['addinfousers_explication_help'] = 'Este plugin permite adicionar sete novas informações no registro e no perfil de usuários';
+$lang['addinfousers_complete'] = 'Informações adicionais';
+$lang['addinfousers_explication'] = 'Apresentação';
+$lang['addinfousers_explication_cache_info'] = 'Esconde informações desnecessárias';
+$lang['addinfousers_explication_cache_info_help'] = 'É possível esconder essas informações adicionando as seguintes entradas no seu arquivo CSS local:<br>
+esconder info 1 : #addinfouser_1 {display:none} <br>
+esconder info 2 : #addinfouser_2 {display:none} <br>
+esconder info 3 : #addinfouser_3 {display:none} <br>
+esconder info 4 : #addinfouser_4 {display:none} <br>
+esconder info 5 : #addinfouser_5 {display:none} <br>
+esconder info 6 : #addinfouser_6 {display:none} <br>
+esconder info 7 : #addinfouser_7 {display:none} <br>';
+$lang['addinfousers_explication_update_non'] = 'Substituto do Último nome, Primeiro nome,...,INFO6, INFO7';
+$lang['addinfousers_explication_update_non_help'] = 'Para isso, você deve adicionar as linhas abaixo no seu arquivo de idiomas:<br>
+$lang[\'addinfousers_info1\'] = \'nome para info 1\'; <br>
+$lang[\'addinfousers_info2\'] = \'nome para info 2\'; <br>
+$lang[\'addinfousers_info3\'] = \'nome para info 3\'; <br>
+$lang[\'addinfousers_info4\'] = \'nome para info 4\'; <br>
+$lang[\'addinfousers_info5\'] = \'nome para info 5\'; <br>
+$lang[\'addinfousers_info6\'] = \'nome para info 6\'; <br>
+$lang[\'addinfousers_info7\'] = \'nome para info 7\'; <br>';
+$lang['addinfousers_h2'] = 'Gerenciamento das informações adicionais dos usuários';
+$lang['addinfousers_info1'] = 'Último nome';
+$lang['addinfousers_info2'] = 'Primeiro nome';
+$lang['addinfousers_info3'] = 'Endereço';
+$lang['addinfousers_info4'] = 'País';
+$lang['addinfousers_info5'] = 'INFO5';
+$lang['addinfousers_info6'] = 'INFO6';
+$lang['addinfousers_info7'] = 'INFO7';
+?>