Index: extensions/AddInfousers/language/pl_PL/description.txt
===================================================================
--- extensions/AddInfousers/language/pl_PL/description.txt	(revision 25628)
+++ extensions/AddInfousers/language/pl_PL/description.txt	(revision 25628)
@@ -0,0 +1,1 @@
+Dodaj siedem nowych informacji do profilu użytkownika.
Index: extensions/AddInfousers/language/pl_PL/index.php
===================================================================
--- extensions/AddInfousers/language/pl_PL/index.php	(revision 25628)
+++ extensions/AddInfousers/language/pl_PL/index.php	(revision 25628)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/AddInfousers/language/pl_PL/plugin.lang.php
===================================================================
--- extensions/AddInfousers/language/pl_PL/plugin.lang.php	(revision 25628)
+++ extensions/AddInfousers/language/pl_PL/plugin.lang.php	(revision 25628)
@@ -0,0 +1,52 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['addinfousers_explication_update_non_help'] = 'Aby to zrobić powinieneś dodać do swojego pliku language:<br>
+$lang[\'addinfousers_info1\'] = \'Tekst dotyczący info 1\'; <br>
+$lang[\'addinfousers_info2\'] = \'Tekst dotyczący info 2\'; <br>
+$lang[\'addinfousers_info3\'] = \'Tekst dotyczący info 3\'; <br>
+$lang[\'addinfousers_info4\'] = \'Tekst dotyczący info 4\'; <br>
+$lang[\'addinfousers_info5\'] = \'Tekst dotyczący info 5\'; <br>
+$lang[\'addinfousers_info6\'] = \'Tekst dotyczący info 6\'; <br>
+$lang[\'addinfousers_info7\'] = \'Tekst dotyczący info 7\'; <br>';
+$lang['addinfousers_explication_cache_info_help'] = 'Mozesz ukryć te informacje dodając do pliku CSS:<br>
+hide info 1 : #addinfouser_1 {display:none} <br>
+hide info 2 : #addinfouser_2 {display:none} <br>
+hide info 3 : #addinfouser_3 {display:none} <br>
+hide info 4 : #addinfouser_4 {display:none} <br>
+hide info 5 : #addinfouser_5 {display:none} <br>
+hide info 6 : #addinfouser_6 {display:none} <br>
+hide info 7 : #addinfouser_7 {display:none} <br>';
+$lang['addinfousers_explication_update_non'] = 'Zastąp "Nazwisko, Imiona,...,INFO6,INFO7"';
+$lang['addinfousers_h2'] = 'Zarządzanie dodatkowymi informacjami o użytkownikach';
+$lang['addinfousers_info1'] = 'Nazwisko';
+$lang['addinfousers_info2'] = 'Imiona';
+$lang['addinfousers_info3'] = 'Adres';
+$lang['addinfousers_info4'] = 'Kraj';
+$lang['addinfousers_info5'] = 'INFO5';
+$lang['addinfousers_info6'] = 'INFO6';
+$lang['addinfousers_info7'] = 'INFO7';
+$lang['addinfousers_complete'] = 'Dodatkowe informacje';
+$lang['addinfousers_explication'] = 'Prezentacja';
+$lang['addinfousers_explication_cache_info'] = 'Ukryj niepotrzebne informacje';
+$lang['addinfousers_explication_help'] = 'Ta wtyczka pozwala na dodanie 7 dodatkowych informacji do rejestracji i profilu użytkownika';
+?>