Index: /trunk/language/zh_HK/admin.lang.php
===================================================================
--- /trunk/language/zh_HK/admin.lang.php	(revision 25634)
+++ /trunk/language/zh_HK/admin.lang.php	(revision 25635)
@@ -189,3 +189,223 @@
 $lang['Activate icon "new" next to albums and pictures'] = '啟動圖標"new"在相簿及相片旁';
 $lang['Active Themes'] = '啟動主題佈置';
+$lang['Hello'] = '你好 ';
+$lang['Hello,'] = '你好,';
+$lang['Help Me'] = '幫助我';
+$lang['Hide'] = '隱藏';
+$lang['High definition'] = '高畫質';
+$lang['High definition enabled'] = '高畫質已啟用';
+$lang['History'] = '歷史';
+$lang['Hit'] = '點擊';
+$lang['Hour'] = '小時';
+$lang['Hoverbox display'] = '懸停框顯示';
+$lang['I decide to update anyway'] = '我決定要更新';
+$lang['IP'] = 'IP';
+$lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = '假如圖片非高畫質，但在網頁上圖片尺寸大於調整後尺寸，Piwigo仍會將圖片標為高畫質，並另存一張縮圖';
+$lang['If you encounter problems or have any question, please send a message to'] = '如有遇到故障或問題,請發郵件至 ';
+$lang['Ignore All'] = '忽略全部';
+$lang['Ignore selected anomalies'] = '忽視選擇異常';
+$lang['Ignore this update'] = '忽略此更新';
+$lang['Image Quality'] = '圖片質量';
+$lang['Image id'] = '圖片ID';
+$lang['Images manual order was saved'] = '圖片手動排序已保存';
+$lang['Gallery unlocked'] = '畫廊已解鎖';
+$lang['General'] = '普通';
+$lang['General statistics'] = '普通統計';
+$lang['Generate multiple size images'] = '產生多種大小的圖像';
+$lang['Get Support on Piwigo Forum'] = '在 Piwigo 論壇上獲取幫助';
+$lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = '給予根目錄下的 "%s" 目錄寫權限 (chmod 777) 以完成 Piwigo 的安裝';
+$lang['Go to'] = '轉至 ';
+$lang['Go to %s or %s for more informations'] = '獲取更多信息，請到 %s 或者 %s ';
+$lang['Grant selected groups'] = '對所選群組授權';
+$lang['Grant selected users'] = '對所選用戶授權';
+$lang['Graphics Library'] = '圖庫';
+$lang['Group'] = '群組';
+$lang['Group management'] = '群組管理';
+$lang['Group name'] = '群組名稱';
+$lang['Groups'] = '群組';
+$lang['Groups and users'] = '群組別和用戶';
+$lang['Guest Settings'] = '訪客設定';
+$lang['Guest cannot be deleted'] = '不能刪除訪客';
+$lang['Guests'] = '訪客';
+$lang['Height'] = '高度';
+$lang['Extend for templates'] = '擴充模板';
+$lang['Extensions Update'] = '擴充更新';
+$lang['FTP + Synchronization'] = 'FTP + 同步';
+$lang['Failed to write file to disk'] = '檔案寫入失敗';
+$lang['Features include gallery browsing, album creation and photo upload.'] = '功能包括：畫廊瀏覽、建立相冊和照片上傳';
+$lang['File'] = '檔案';
+$lang['File upload stopped by extension'] = '擴展使文件上傳停止';
+$lang['File/directory read error'] = '檔案/目錄的讀取錯誤';
+$lang['Find a new representant by random'] = '搜尋一個新的隨機相冊縮略圖';
+$lang['Follow Orientation'] = '定位';
+$lang['Following plugins may not be compatible with the new version of Piwigo:'] = '以下插件可能無法兼容新Piwigo的版本:';
+$lang['Following themes may not be compatible with the new version of Piwigo:'] = '以下主題可能無法兼容新版本Piwigo:';
+$lang['For photo sizes with crop, such as "Square", Piwigo will do its best to include the center of interest.'] = '如選擇相片剪裁（如「正方形」），Piwigo會盡可能保留相片的焦點';
+$lang['Forbid this language to users'] = '禁止用戶使用此語言';
+$lang['Forbid this theme to users'] = '禁用此主題';
+$lang['Forbidden'] = '禁止';
+$lang['Form'] = '表格';
+$lang['GD library is missing'] = '缺少GD庫';
+$lang['GD version'] = 'GD版本';
+$lang['Gallery title'] = '圖庫標題';
+$lang['Edit photo information'] = '編輯圖片信息';
+$lang['Edit ranks'] = '編輯排名';
+$lang['Edit selected tags'] = '編輯所選標籤';
+$lang['Edit tags'] = '編輯標籤';
+$lang['Element'] = '單元';
+$lang['Element type'] = '單元類型';
+$lang['Email administrators when a comment is deleted'] = '當評論被刪除後，發郵件通知管理員';
+$lang['Email administrators when a comment is modified'] = '當評論被修改後，發郵件通知管理員';
+$lang['Email admins when a comment requires validation'] = '當用戶要求確認他的評論時通知管理員';
+$lang['Email admins when a new user registers'] = '當有新的使用者註冊就通知管理員';
+$lang['Email admins when a valid comment is entered'] = '當用戶發表評論時就通知管理員';
+$lang['Environment'] = '環境';
+$lang['Error list'] = '錯誤清單';
+$lang['Error on file "%s" : %s'] = '文件上的錯誤 "%s" : %s';
+$lang['Error when sending email to %s [%s].'] = '發送郵件 給 %s [%s]發生了錯誤.';
+$lang['Errors caption'] = '錯誤說明';
+$lang['Everybody'] = '所有人';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = '已超過執行時間, 處理還需時間[估計時間: %d 秒].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = '已超過執行時間, 處理還需時間[估計時間: %d 秒].';
+$lang['Exif extension not available, admin should disable exif use'] = 'Exif 擴展不能使用，管理員應該禁用 exif 功能。';
+$lang['Discover album:'] = '探索相冊:';
+$lang['Display options'] = '顯示選項';
+$lang['Dissociate from album'] = '從相冊裡分離';
+$lang['Dissociated'] = '取消聯繫';
+$lang['Do you want to activate anyway?'] = '無論如何都要啟動嗎?';
+$lang['Documentation'] = '檔案';
+$lang['Does not represent'] = '不是縮略圖';
+$lang['Download,'] = '下載,';
+$lang['Downloads'] = '下載';
+$lang['Drag to re-order'] = '點擊並拖動以重新排序';
+$lang['Drop into album'] = '選擇相冊';
+$lang['Dump Database'] = '轉儲資料庫';
+$lang['Duplicate'] = '重複';
+$lang['Duplicate selected tags'] = '重複選取標籤';
+$lang['Duplicates'] = '重複';
+$lang['ERROR'] = '錯誤';
+$lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = '錯誤：這個插件雖已安裝但並不存在! 請立即移除它!';
+$lang['Edit album'] = '修改相冊';
+$lang['Edit album permissions'] = '管理相冊權限';
+$lang['Edit photo'] = '編輯相片';
+$lang['Default display'] = '預設顯示資訊';
+$lang['Default photos order'] = '預設的相片順序';
+$lang['Default user cannot be deleted'] = '不能刪除預設用戶';
+$lang['Default user does not exist'] = '預設用戶不存在';
+$lang['Delete Representant'] = '刪除相冊縮略圖';
+$lang['Delete multiple size images'] = '刪除多種大小的圖像';
+$lang['Delete orphan tags'] = '刪除沒被關聯的標籤';
+$lang['Delete selected photos'] = '刪除圖片';
+$lang['Delete selected tags'] = '刪除所選標籤';
+$lang['Delete selected users'] = '刪除所選用戶';
+$lang['Delete this language'] = '刪除此語言';
+$lang['Delete this theme'] = '刪除此主題';
+$lang['Deleted on'] = '刪除於';
+$lang['Deletions'] = '刪除';
+$lang['Deny selected groups'] = '拒絕所選群組';
+$lang['Deny selected users'] = '拒絕所選的用戶';
+$lang['Description'] = '描述';
+$lang['Detailed informations'] = '詳細信息';
+$lang['Directory'] = '目錄';
+$lang['Directory does not exist'] = '目錄不存在';
+$lang['Create the "%s" directory at the root of your Piwigo installation'] = '建立"%s"在安裝Piwigo的根目錄下';
+$lang['Complementary mail content'] = '郵件附加內容';
+$lang['Configuration'] = '設定';
+$lang['Confirm merge'] = '確認合併';
+$lang['Continue processing treatment'] = '正在繼續處理中...';
+$lang['Correction'] = '修正';
+$lang['Correction applied with error'] = '修正適用的錯誤';
+$lang['Correction applied with success'] = '成功修正';
+$lang['Correction the anomaly will cancel the fact that it\'s ignored'] = '的不再被忽視異的修正';
+$lang['Create'] = '建立';
+$lang['Create this site'] = '建立網站';
+$lang['Crop'] = '剪裁';
+$lang['Current name'] = '現用名';
+$lang['Database'] = '現用名';
+$lang['Database synchronization with files'] = '根據文件來同步資料庫';
+$lang['Date'] = '日期';
+$lang['Day'] = '日';
+$lang['Deactivate'] = '停用';
+$lang['Deactivate all'] = '停用所有';
+$lang['Default comments order'] = '預設評論順序';
+$lang['Can\'t connect to server.'] = '無法連接到服務器。';
+$lang['Can\'t create temporary file.'] = '無法建立臨時文件。';
+$lang['Can\'t download archive.'] = '無法下載歸檔文件。';
+$lang['Can\'t read or extract archive.'] = '無法讀取或解壓歸檔文件.';
+$lang['Cancel'] = '取消';
+$lang['Cannot delete the old permalink !'] = '舊的固定連結不能被刪除!';
+$lang['Center of interest'] = '中心愛好';
+$lang['Change Admin Colors'] = '更改管理員後台顏色';
+$lang['Change password'] = '更改密碼';
+$lang['Change username'] = '更改用戶名';
+$lang['Check all'] = '檢查全部';
+$lang['Check automatic corrections'] = '檢查自動修正';
+$lang['Check for updates'] = '檢查是否有更新';
+$lang['Check for upgrade'] = '檢查是否有升級';
+$lang['Check for upgrade failed for unknown reasons.'] = '檢查是否有升級失敗由於未知原因。';
+$lang['Check integrity'] = '完整性檢查';
+$lang['Choose an action'] = '選擇一個動作';
+$lang['Choose an option'] = '選擇一個選項';
+$lang['Classic display'] = '經典顯示';
+$lang['Comments for all'] = '評論所有的';
+$lang['Are you sure you want to install this plugin?'] = '確定安裝此插件嗎?';
+$lang['Associate to album'] = '關聯到相冊';
+$lang['Associated'] = '已關聯';
+$lang['Authorize users to add comments on selected albums'] = '讓用戶可在所選相冊裡發表評論';
+$lang['Authorized'] = '已授權';
+$lang['Automatic correction'] = '自動修改';
+$lang['Automatic sort order'] = '自動排序';
+$lang['Available on'] = '可用的';
+$lang['Available only with HTML format'] = '僅適用於HTML格式';
+$lang['Available versions for'] = '可用的版本是';
+$lang['Average rate'] = '平均分';
+$lang['Basic settings'] = '基本設置';
+$lang['Batch Manager'] = '批量管理';
+$lang['Bound Theme'] = '綁定主題';
+$lang['By %s'] = '按 %s';
+$lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = '在預設狀況下，Piwigo 將從原照片的高清晰度版本，建立另一個適用於網頁的尺寸版本。';
+$lang['By default, the center of interest is placed in the middle of the photo.'] = '在預設情況下，焦點是擺在相片的中間';
+$lang['By rank'] = '按等級';
+$lang['Caddie'] = '購物籃';
+$lang['Caddie management'] = '購物籃管理';
+$lang['Album list management'] = '相冊清單管理';
+$lang['Album manual order was saved'] = '相冊手動排序已保存';
+$lang['Album photos associated to the following albums: %s'] = '相片已關聯到相冊:%s';
+$lang['Albums authorized thanks to group associations'] = '相冊群組織授權感謝協會';
+$lang['All %d users are selected'] = '所有%d的用戶都被選中';
+$lang['All extensions are up to date.'] = '所有的擴展已是最新的';
+$lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = '在提取過程中發生錯誤。請檢查您piwigo安裝時的檔案權限.<br><a href="%s">點擊這裡顯示日誌中的錯誤</a>.';
+$lang['An information email was sent to group "%s"'] = '已向群組"%s"的所有成員發送了信息郵件';
+$lang['Anyway only webmasters can see this tab and never administrators.'] = '任何人都不能使用此標籤(網管除外).';
+$lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture是Mac的一項強大工具，可微調讓圖像更精緻，並管理超大照片庫.';
+$lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture是為專業攝影師設計的軟體，但使用起來又與iPhoto一樣簡單.';
+$lang['Applications'] = '申請';
+$lang['Apply action'] = '套用';
+$lang['Apply selected corrections'] = '套用所選的修正';
+$lang['Apply to sub-albums'] = '套用到子相冊';
+$lang['Apply watermark if height is bigger than'] = '使用浮水印當高度大於';
+$lang['Apply watermark if width is bigger than'] = '使用浮水印當寬度大於';
+$lang['Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).'] = '大約最高解像度: %dM像素 (即 %dx%d像素).';
+$lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = '確定安裝此更新嗎? 你必須核實無需卸載操作再進行安裝此更新.';
+$lang['Are you sure you want to delete this plugin?'] = '確定要刪除此插件嗎?';
+$lang['%d of %d users selected'] = '%d到%d位用戶選擇';
+$lang['(filtered from %s total users)'] = '(共%s用戶被過濾）';
+$lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = '<em>Android 版的Piwigo</em>允許從 Android 手機或平版連接到您的Piwigo畫廊，建立多個相冊並一次上傳多張相片。';
+$lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = '<em>iOS 版的Piwigo</em>允許您從iPhone, iPad 或 iPod Touch 連接到您的Piwigo畫廊，建立多個相冊並一次上傳多張相片。';
+$lang['Add a criteria'] = '增加准則';
+$lang['Add a filter'] = '增加篩選';
+$lang['Add a tag'] = '增加標籤';
+$lang['Add a virtual album'] = '增加虛擬相冊';
+$lang['Add another set of photos'] = '增加另一組相片';
+$lang['Add detailed content'] = '增加內容細節';
+$lang['Add tags'] = '增加標籤';
+$lang['Add to caddie'] = '放入購物籃';
+$lang['Add write access to the "%s" directory'] = '為"%s"目錄增加寫入權限';
+$lang['Add/delete a permalink'] = '增加/刪除一個固定連結';
+$lang['Added by %s'] = '由 %s 加入';
+$lang['Administration Home'] = '管理員首頁';
+$lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'Adobe Photoshop Lightroom 是一套攝影軟件，可管理大量數位影像和進行後製工作。';
+$lang['Advanced features'] = '進階功能';
+$lang['Album "%s" has been added'] = '已增加相冊 "%s" ';
+$lang['Album "%s" now contains %d photos'] = '相冊"%s"現已包含了%d張相片';
 ?>