Index: /trunk/language/sk_SK/help/configuration.html
===================================================================
--- /trunk/language/sk_SK/help/configuration.html	(revision 25651)
+++ /trunk/language/sk_SK/help/configuration.html	(revision 25651)
@@ -0,0 +1,100 @@
+<h2>Konfigurácia</h2>
+
+<p>Na tejto stránke je možné vykonávať základné nastavenie. Okno zobrazuje jednoduché konfiguračné parametre, ktoré by mali stačiť väčšine administrátorov. Ďalšie nastavenia nájdete v súbore<span
+class="filename">include/config_default.inc.php</span>.</p>
+
+<p>Stránka je rozdelená do niekoľkých záložiek, ktoré zoskupujú konfiguračné nastavenia podľa ich typu.</p>
+
+<h3>Hlavné</h3>
+
+<ul>
+<li><strong>Názov galérie</strong>: používa sa v RSS vláknach a emailových upozorneniach.</li>
+
+<li><strong>Banner stránky</strong>: zobrazuje sa v hornej časti každej verejnej stránky.</li>
+
+<li><strong>URL galérie</strong>: používa sa RSS vláknach.</li>
+
+<li><strong>Zamknúť galériu</strong>: Uzavrie galériu, aby sa mohla vykonať údržba. Ku galérii budú mať prístup len užívatelia s oprávnením administrátor.</li>
+
+<li><strong>Povoliť hodnotenia</strong>: Hodnotenie obrázkov je povolené.</li>
+
+<li><strong>Hodnotenie hosťami</strong>: Hodnotiť obrázky môže aj neregistrovaný užívateľ.</li>
+
+<li><strong>Povoliť registráciu užívateľov</strong>: Ktokoľvek sa môže registrovať ako užívateľ.</li>
+
+<li><strong>E-mailová adresa je povinná pre všetkých užívateľov</strong>: pri registrácii alebo aktualizácii profilu sa skontroluje e-mailová adresa, s výnimkou situácii, kedy akciu vykonal administrátor.</li>
+
+<li><strong>Poslať e-mail administrátorovi pri registrácii nového užívateľa</strong>: na každú novú registráciu užívateľa budú upozornení administrátori.</li>
+
+<li><strong>Východzie poradie fotografií</strong>: výberom z drop-menu môžete určiť prispôsobené poradie.</li>
+</ul>
+
+<h3>História</h3>
+
+<p>Návšteva stránok <span   class="pwgScreen">category.php</span> a <span class="pwgScreen">picture.php</span> bude uložená v tabuľke <code>história</code>.</p>
+
+<p>Návštevy se zobrazujú v menu:<span
+  class="pwgScreen">Administrácia, Nástroje, História</span>.</p>
+
+<ul>
+<li><strong>Ukladať stránky navštívené hosťami</strong>: uložia se návštevy hosťov.</li>
+
+<li><strong>Ukladať stránky navštívené užívateľmi</strong>: uložia se návštevy registrovaných užívateľov.</li>
+
+<li><strong>Ukládať stránky navštívené administrátormi</strong>: uložia se stránky navštívené administrátormi.</li>
+
+</ul>
+
+<h3>Komentáre</h3>
+
+<ul>
+
+<li><strong>Komentáre pre všetkých</strong>: Aj neregistrovaný užívateľ môže zanechať komentár.</li>
+
+<li><strong>Počet komentárov na stránke</strong>.</li>
+
+<li><strong>Schválenie</strong>: Pred zobrazením na stránke musí byť každý komentár schválený administrátorom. Schvaľovanie komentárov sa vykonáva v menu<span class="pwgScreen">Administrácia, Nástroje, Komentáre na schválenie</span>.</li>
+
+<li><strong>Poslať e-mail administrátorovi pri vložení nového komentára</strong>:
+Pokiaľ je zadaný komentár, ktorý nevyžaduje schválenie, pošle se administrátorovi email.</li>
+
+<li><strong>Poslať e-mail administrátorovi pri vložení nového komentáře vyžadujúceho schválenie.</strong>:
+Pokiaľ je odoslaný komentár, ktorý vyžaduje schválenie, pošle se administrátorovi email.
+Schvaľování komentárov možno vykonať v menu: <span class="pwgScreen">Administrácia, Nástroje, Komentáre na schválenie</span>.</li>
+
+</ul>
+
+<h3>Východzie nastavenie</h3>
+
+<p>Tu sa nastavuje východzie nastavenie pre hosťov a neprihlásených užívateľov. Po prihlásení sa prestavia podľa vlastných nastavení užívateľa
+(nastaviteľné v  <span class="pwgScreen">profil</span>).</p>
+
+<p>Je možné zmeniť  nastavenie zobrazenie pre všetkých existujúcich užívateľov v <span class="pwgScreen">Administrácia,
+Užívatelia, Správa</span>: kde je možné vybrať zoznam užívateľov.</p>
+
+<ul>
+ 
+
+<li><strong>Jazyk</strong>: týka sa iba Piwigo popisiek. Názvy kategórii, názvy obrázkov a všetky popisy nie sú lokalizované.</li>
+
+<li><strong>Počet fotografií v riadku</strong></li>
+
+<li><strong>Počet riadkov na stránke</strong></li>
+
+<li><strong>Vzhľad užívatelského rozhrania</strong></li>
+
+<li><strong>Čas, počas ktorého sú fotografie zobrazené ako novo pridané</strong>: V dňoch. Musí byť väčší než jeden deň.</li>
+
+<li><strong>Rozbaliť všetky albumy</strong>: Rozbalí všetky albumy. <em>UPOZORNENIE</em>: táto voľba je náročná na systémové zdroje a pokiaľ strom albumov obsahuje veľké množstvo položiek, môže vygenerovať rozsiahle menu.</li>
+
+<li><strong>Zobraziť počet komentárov</strong>: Na stránke s náhľadmi zobrazí počet komentárov u každého obrázku. Spomaľuje systém.</li>
+
+<li><strong>Ukázať počet zobrazení</strong>: zobrazí počet návštěv priamo pod náhľaom obrázku. Voľba je funkčná iba ak je nastavený rozšířený konfiguračný parametr: <br>
+  $conf['show_nb_hits'] = true; <br>
+  poznámka: východzia hodnota je false.</li>
+
+<li><strong>Maximálna šířka fotografií</strong>: maximálna zobrazená šírka. Obrázky, ktoré sú väčšie, sa zmenšia. Je lepšie rovno obrázky pred nahratím zmenšiť, než používať túto voľbu.</li>
+
+<li><strong>Maximálna výška fotografií</strong>: maximálna zobrazená výška. To isté platí aj pre výšku.</li>
+
+</ul> 
Index: /trunk/language/sk_SK/help/extend_for_templates.html
===================================================================
--- /trunk/language/sk_SK/help/extend_for_templates.html	(revision 25651)
+++ /trunk/language/sk_SK/help/extend_for_templates.html	(revision 25651)
@@ -0,0 +1,55 @@
+<h2>Konfigurácia rozšírenia šablóny</h2>
+
+<h3>O čom je</h3>
+<p>Vaša Piwigo galéria sa dá prispôsobiť tým, že nahradíte existujúce súbory šablóny upravenými verziami. Napr. defaultná šablóna hlavičky (header.tpl) sa dá nahradiť upravenou šablónou hlavičky (my-header.tpl).  
+Po odoslaní zmien do databázy sa galéria zobrazí s upravenou hlavičkou namiesto originálnej hlavičky.<br>
+Rozšírenia šablóny sú mocným nástrojom ako vytvoriť upravené témy aj pre nových aj pre pokročilých užívateľov. Pri použití spolu s LocalFiles Editor dokážete vytvoriť svoje vlastné child témy.</p>
+
+<h3>Originálna šablóna</h3>
+<p>Téma obsahuje množstvo súborov šablóny, ktoré vytvárajú stránky galérie. To sú originálne (pôvodné) šablóny.</p>
+
+<h3>Voliteľné kľúčové URL slovo</h3>
+<p>Toto sú slová, ktorá sa nachádzajú v URL galérie po názve modulu.  Tiež to môžu byť aktívne trvalé odkazy (Pre viac informácii pozrite dokumentáciu k trvalým odkazom).  <a href="#warnings">VAROVANIE:</a> 
+Ak je na viac než na jednej upravenej šablóne použitá tá istá originálna šablóna a to isté URL kľúčové slovo, je aktívne len to posledné.</p>
+
+<h3>Zviazaná téma</h3>
+<p>Zviazaná (prepojená) téma je téma, z ktorej sú nahradzované súbory šablóny.</p>
+ 
+<h3>Kde sa nachádzajú originálne šablóny?</h3>
+<p>Originálne šablóny sú súbory šablony, ktoré sú dodávané s každou témou.  Sú uložené v <em>/themes/default/template</em> 
+(or <em>themes/<theme name>/template</em>).  Tieto súbory by sa nemali editovať, aby ste neprišli o zmeny pri ďalšej aktualizácii.<br>
+Podporované originálne šablóny zahŕňajú:</p>
+<ul>
+  <li><span class="filename">index.tpl</span></li>
+  <li><span class="filename">mainpage_categories.tpl</span> and/or <span class="filename">thumbnails.tpl</span></li>
+  <li><span class="filename">menubar.tpl</span></li>
+  <li><span class="filename">header.tpl</span> and/or <span class="filename">footer.tpl</span></li>
+  <li><span class="filename">picture_content.tpl</span> and/or <span class="filename">picture.tpl</span></li>
+  <!-- <li><span class="filename">slideshow.tpl</span></li> -->
+  <li><span class="filename">profile.tpl</span> and/or <span class="filename">profile_content.tpl</span></li>
+  <li><span class="filename">tags.tpl</span></li>
+  <li><span class="filename">upload.tpl</span></li>
+  <li><span class="filename">about.tpl</span></li>
+  <li><span class="filename">popuphelp.tpl</span></li>
+  <li><span class="filename">search.tpl</span> and/or <span class="filename">search_rules.tpl</span></li>
+  <li><span class="filename">nbm.tpl</span> and/or <span class="filename">notification.tpl</span></li>
+  <li><span class="filename">identification.tpl</span> and/or <span class="filename">register.tpl</span></li>
+  <li><span class="filename">redirect.tpl</span></li>
+</ul>
+<h3>Uloženie upravených šablón</h3>
+<p>Upravené šablóny by mali byť uložené v sdresári template-extension alebo podadresároch.  Napríklad, <em>/template-extension/my-default/header.tpl</em> (alebo <em>/template-extension/<my-theme-name>/header.tpl</em>)
+Súbory šablónu môžu mať akýkoľvek názov s koncovkou .tpl. Súbory šablóny v podadresároch sa zobrazia v okne Konfigurácia šablóny ako dostupné custom šablóny.</p>
+<h3>Aktivácia upravených šablón</h3>
+<p>Zvoľte originálnu šablónu, ktorú chcete nahradiť. Voliteľne zvoľne kľúčové URL slovo, aby ste sa uistili, že sa  upravená šablóna zobrazí len na stránkach s týmto slovom. Zvoľte spojenú tému a zmeny budú účinné v tejto téme.Odošlite zmeny do databázy.</p>
+<h3>Deaktivácia upravených šablón</h3>
+<p>Zrušte výber pôvodnej šablóny a odošli zmeny do databázy.<br>
+Vymažte upravené šablóny z adresára template-extension.</p>
+
+<a name="warnings"></a>
+<h3>Varovania</h3>
+<ul>
+  <li><strong>Originálna šablóna</strong> musí byť originálna šablóna, inak môžete dosiahnuť neočakávané výsledky.</li>
+  <li>Ak je na viac než na jednej upravenej šablóne použitá tá istá originálna šablóna a to isté URL kľúčové slovo, je aktívne len to posledné.</li>
+  <li>Distribuované príklady súborov šablón sú len na testovacie účely. Nemeňte ich.  Vytvorte si svoje vlastné alebo skopírujte existujúce súbory z témy do <em>/template-extension/<my-theme>/</em></li>
+  <li>Keď sa vymaže upravená šablóna, okamžite sa znova aktivuje originálny súbor šablóny.</li>
+</ul>
Index: /trunk/language/sk_SK/help/group_list.html
===================================================================
--- /trunk/language/sk_SK/help/group_list.html	(revision 25651)
+++ /trunk/language/sk_SK/help/group_list.html	(revision 25651)
@@ -0,0 +1,21 @@
+<h2>Skupiny</h2>
+
+<p>Na tomto mieste sa spravujú skupiny užívateľov.</p>
+
+<h3>Pridať skupinu</h3>
+
+<p>Skupinu môžu pridať administrátori.</p>
+
+<h3>Zoznam skupín</h3>
+
+<p>Pre každú skupinu je možné vykonať nasledovné akcie:</p>
+
+<ul>
+<li>prejsť na zoznam užívateľov</li>
+<li>prejsť na administráciu užívateľských oprávnení</li>
+<li>vymazať skupinu (vyžaduje potvrdenie)</li>
+<li>nastaviť ako východziu (vyžaduje potvrdenie)</li>
+</ul>
+
+<h3>Východzie skupiny</h3>
+<p>Východzia skupina je automaticky priradená k novému užívateľovi po jeho registrácii alebo po pridaní administrátorom.</p>
Index: /trunk/language/sk_SK/help/help_add_photos.html
===================================================================
--- /trunk/language/sk_SK/help/help_add_photos.html	(revision 25650)
+++ /trunk/language/sk_SK/help/help_add_photos.html	(revision 25651)
@@ -1,6 +1,6 @@
-<p>Existuje niekoľko možností, ako pridať fotografie do Vašej Piwigo galérie:</p>
+<p>Existuje niekoľko možností ako pridať fotografie do Vašej Piwigo galérie:</p>
 
 <ul>
-  <li><strong>priame nahranie</strong> vo Vašom web prehliadači je najjednoduchšia a najpriamejšia cesta. Záleží na možnostiach Vašeho prehliadača a Vašeho web servra.
+  <li><strong>priame nahranie</strong> vo Vašom web prehliadači je najjednoduchšia a najpriamejšia cesta. Záleží na možnostiach Vašeho prehliadača a Vašeho web servera.
   Pre nahranie veľkého množstva fotografií, alebo v prípade, že tento spôsob sklame, sú tu ďalšie možnosti.</li>
 </ul>
@@ -9,5 +9,5 @@
 
 <ul>
-  <li><strong>pLoader</strong> je aplikácia, ktorú musíte nainštalovať na Váš počítač. Pretiahnite fotografie do okna pLoader, kliknite na <em>"Upload to Piwigo"</em> a nechajte pLoader nahraťt fotografie na server. Existujú taktiež ďalšie aplikácie ako <strong>WinToPiwigo</strong>, alebo <strong>Digikam</strong>, doplnok pre nahrávanie fotografií do Piwigo.</li>
+  <li><strong>pLoader</strong> je aplikácia, ktorú musíte nainštalovať na Váš počítač. Pretiahnite fotografie do okna pLoader, kliknite na <em>"Upload to Piwigo"</em> a nechajte pLoader nahrať fotografie na server. Existujú taktiež ďalšie aplikácie ako <strong>WinToPiwigo</strong>, alebo <strong>Digikam</strong>, doplnok pre nahrávanie fotografií do Piwigo.</li>
 </ul>
 
@@ -16,5 +16,5 @@
 <div id="helpSynchro">
 <ul>
-  <li><strong>FTP prenos</strong> je najviac odporúčaná cesta, ako nahrať veľké množstvo fotografií s minimálnym úsilím. Nasledujte návod, ako pripraviť Vaše fotografie. Táto metóda Vám dáva možnosť presne riadiť usporiadanie Vašich fotografií na Vašom servri.</li>
+  <li><strong>FTP prenos</strong> je najviac odporúčaná cesta, ako nahrať veľké množstvo fotografií s minimálnym úsilím. Nasledujte návod, ako pripraviť Vaše fotografie. Táto metóda Vám dáva možnosť presne riadiť usporiadanie Vašich fotografií na Vašom serveri.</li>
 </ul>
 
Index: /trunk/language/sk_SK/help/help_groups.html
===================================================================
--- /trunk/language/sk_SK/help/help_groups.html	(revision 25650)
+++ /trunk/language/sk_SK/help/help_groups.html	(revision 25651)
@@ -1,3 +1,3 @@
-<p>Skupiny predstavujú spôsob, ako nastaviť rovnaké oprávnenia pre viacero používateľov.</p>
+<p>Skupiny predstavujú spôsob ako nastaviť rovnaké oprávnenia pre viacero používateľov.</p>
 
 <p>Vytvorte skupinu pomocou <span class="pwgScreen">Administrácia &raquo; Používatelia &raquo; Skupiny</span> a priraďte používateľov do tejto skupiny pomocou
@@ -5,4 +5,4 @@
 Správa</span>.</p>
 
-<p>Používateľ môže patriť do viacerých skupín. Používateľ potom získava práva súčtom práv všetkých týchto skupín: pokiaľ používateľ "janko" patrí do skupín "rodina" aj "priatelia" a len "rodina" má oprávnenie na kategóriu "Vianoce" tak 
+<p>Používateľ môže patriť do viacerých skupín. Používateľ potom získava práva súčtom práv všetkých týchto skupín: pokiaľ používateľ "janko" patrí do skupín "rodina" aj "priatelia" a len "rodina" má oprávnenie na kategóriu "Vianoce", tak 
 "janko" kategóriu "Vianoce" uvidí.</p>
Index: /trunk/language/sk_SK/help/notification_by_mail.html
===================================================================
--- /trunk/language/sk_SK/help/notification_by_mail.html	(revision 25651)
+++ /trunk/language/sk_SK/help/notification_by_mail.html	(revision 25651)
@@ -0,0 +1,14 @@
+<h2>Emailové upozornenia</h2>
+
+<p>Konfigurácia a správa notifikácii emailom, ktoré upozorňujú užívateľov na zmeny na vašej stránke.</p>
+
+<p>K dipozícii sú tieto tri záložky:</p>
+
+<h3>Parametre</h3>
+<p>Dostupné len pre webmasterov. Slúži k nastaveniu parametrov upozorňovacích mailov</p>
+
+<h3>Prihlasenie k odberu</h3>
+<p>Dostupné len pre webmasterov. Umožní pridať alebo odobrať užívateľ zo zoznamu príjemncov emailu.</p>
+
+<h3>Odoslanie</h3>
+<p>Dostupné pro webmasterov a administrátorov. Slúži k odosielaniu upozorňovacích mailov.</p> 
Index: /trunk/language/sk_SK/help/permalinks.html
===================================================================
--- /trunk/language/sk_SK/help/permalinks.html	(revision 25651)
+++ /trunk/language/sk_SK/help/permalinks.html	(revision 25651)
@@ -0,0 +1,8 @@
+<h2>Trvalé odkazy</h2>
+
+<p>Trvalé odkazy slúžia na to, aby URL jednotlivých albumov vyzerali lepšie . Po definovaní trvalých odkazov už nie je nutné mať ID kategórie v URL.</p>
+
+<p>Keď sa trvalý odkaz vymaže, môžete ho uložiť do histórie trvalých odkazov, takže externé linky k stránkam Piwigo budú stále fungovať. 
+V tabuľke histórie trvalých odkazov je zobrazené dátum vymazania linku, čas posledného použitia a počet použití.</p>
+
+<p>Všimnite si, že každý album musí mať unikátny názov trvalého odkazu. Rovnako nie je možné uložiť do histórie rovnaký link viac než raz.</p> 